Name: pkinit-nss
Version: 0.2.1
Release: 1.pal_18750%{?dist}
Source: %{name}-%{version}-1.pal_18750.tar.gz
License: BSD
Group: System Environment/Libraries
Summary: PKINIT for MIT Kerberos
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: krb5-devel >= 1.5, nss-devel >= 3.11.2, pkgconfig

%description
The pkinit-nss package implements the PKINIT standard for MIT Kerberos.  It
does so using the Mozilla NSS library.

%prep
%setup -q -n %{name}-%{version}-1.pal_18750

%build
%configure --disable-static --enable-gcc-warnings
make

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/krb5/plugins/preauth/*.{a,la}

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog doc/README doc/STANDARDS doc/TODO backport/*.patch
%doc doc/openssl/*.sh
%{_bindir}/pkinit-show-cert-guid
%{_libdir}/krb5

%changelog
* Wed Oct 18 2006 Nalin Dahyabhai <nalin@redhat.com> 0.2.1-1_pal18750
- fix a double-free

* Wed Oct 18 2006 Nalin Dahyabhai <nalin@redhat.com> 0.2.0-1_pal18750
- implement DH-based key agreement
- disable OCSP by default on the client-side (#209244)
- update to changes for newer support backport

* Wed Oct 18 2006 Nalin Dahyabhai <nalin@redhat.com> 0.1.0-3_pal18695
- turn on more warnings by default

* Wed Oct 18 2006 Nalin Dahyabhai <nalin@redhat.com> 0.1.0-2_pal18695
- add PAL version to release field (informative, #211399)

* Wed Oct 18 2006 Nalin Dahyabhai <nalin@redhat.com> 0.1.0-2
- add missing %%clean section (#211399)

* Wed Oct 18 2006 Nalin Dahyabhai <nalin@redhat.com>
- initial build
